Marketplace
List your database prices
List the database rates your organization has published. Only your own rates are returned, never another organization’s. Filters combine, and paging is by limit and an opaque cursor carried in the page of the previous response.
GET
/
v1
/
marketplace
/
databases
List your database prices
curl --request GET \
--url https://pricing.baselinehq.cloud/v1/marketplace/databases \
--header 'X-API-Key: <api-key>'import requests
url = "https://pricing.baselinehq.cloud/v1/marketplace/databases"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://pricing.baselinehq.cloud/v1/marketplace/databases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"architecture": "<string>",
"availability_zone": "<string>",
"billing_config": "<string>",
"capacity_unit": "<string>",
"cost_per_capacity_unit": 123,
"cost_per_hour": 123,
"cost_per_io_request": 123,
"cost_per_iops_hour": 123,
"cost_per_storage_gb_hour": 123,
"cost_per_throughput_mbps_hour": 123,
"cost_per_vcpu_license_hour": 123,
"cpu_cores": 123,
"cpu_cores_cost_per_hour": 123,
"created_at": "<string>",
"currency": "<string>",
"deployment_option": "<string>",
"edition": "<string>",
"engine": "<string>",
"id": "<string>",
"instance_type": "<string>",
"max_iops": 123,
"max_storage_gb": 123,
"max_throughput_mbps": 123,
"min_iops": 123,
"min_storage_gb": 123,
"min_throughput_mbps": 123,
"native_cost_per_hour": 123,
"native_cost_per_storage_gb_hour": 123,
"period_billing_hours": 123,
"provider": "<string>",
"ram_gb": 123,
"ram_gb_cost_per_hour": 123,
"raw_pricing_data": {},
"region": "<string>",
"service": "<string>",
"storage_type": "<string>",
"tags": {},
"updated_at": "<string>",
"usage_type": "<string>"
}
],
"page": {
"has_more": true,
"next_cursor": "<string>"
}
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Authorizations
ApiKeyAuthBearerAuth
API key with "bl_" prefix (e.g. "bl_<api_key>")
Query Parameters
Maximum prices to return (default 500)
Cursor from the previous page
Filter by service
Filter by region
Filter by engine
Filter by edition
Filter by instance type
Filter by usage type
Was this page helpful?
⌘I
List your database prices
